using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Table("APEWorkflow", Schema = "fp")]
public partial class Apeworkflow
{
    [Key]
    [Column("WorkflowStepID")]
    public int WorkflowStepId { get; set; }

    [StringLength(100)]
    public string Name { get; set; } = null!;

    [Column("RoleID")]
    public int RoleId { get; set; }

    public int WorkflowStepOrder { get; set; }

    [Column("EntityGroupConfigID")]
    public int EntityGroupConfigId { get; set; }

    public bool IsEditable { get; set; }

    public bool IsNotificationEnabled { get; set; }

    [InverseProperty("WorkflowStep")]
    public virtual ICollection<ApedepartmentWorkflowStatus> ApedepartmentWorkflowStatuses { get; set; } = new List<ApedepartmentWorkflowStatus>();
}
